/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { createTestConfig } from '../../../config.base';
import { kbnServerArgs } from '../../common/fleet/default_setup';

export default createTestConfig({
  serverlessProject: 'security',
  testFiles: [require.resolve('./fleet')],
  junit: {
    reportName: 'Fleet Serverless Security API Integration Tests',
  },
  suiteTags: { exclude: ['skipSvlSec'] },

  // include settings from project controller
  // https://github.com/elastic/project-controller/blob/main/internal/project/security/config/elasticsearch.yml
  esServerArgs: ['xpack.ml.nlp.enabled=false'],

  kbnServerArgs,
});
